E-MailRelay

Classes | Typedefs
G::Md5Imp Namespace Reference

An implementation namespace for G::Md5. More...

## Classes
class | block
| A helper class used by the Md5Imp::digest implementation to represent a 64-character data block. More...
class | digest
| A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321. More...
class | format
| A thin veneer over G::HashState. More...

## Typedefs
using | digest_state = G::Md5::digest_state
using | small_t = G::Md5::small_t
using | big_t = G::Md5::big_t

## Detailed Description

An implementation namespace for G::Md5.

## Typedef Documentation

## ◆ big_t

using G::Md5Imp::big_t = typedef G::Md5::big_t

Definition at line 36 of file gmd5.cpp.

## ◆ digest_state

using G::Md5Imp::digest_state = typedef G::Md5::digest_state

Definition at line 34 of file gmd5.cpp.

## ◆ small_t

using G::Md5Imp::small_t = typedef G::Md5::small_t

Definition at line 35 of file gmd5.cpp.